#ifndef __KK_LAN_SYNC_H
#define __KK_LAN_SYNC_H

#include "cJSON.h"


typedef struct{
	char *floor_id;
	char *room_id;
	char *room_icon;
	char *room_name;
	cJSON *room_status;
}SYN_ROOM_ITEM;


typedef struct {
	char *ui_area;
	char *ui_name;
	char *delay;
	int nodeid;
	char *operate_type;
	char *operation;
	char *ui_room_id;
}SYN_SCENE_ACTION;

typedef struct{
	char *scene_id;
	char *name;
	char *pannel_id;
	char *room_id;
	char *time;
	char *week;
	SYN_SCENE_ACTION *act;
	int act_num;
}SYN_SCENE_ITEM;


cJSON *kk_get_raw_sync_data(cJSON *payload);




cJSON *kk_sync_rooms_to_sdk(cJSON *root,cJSON *payload);
cJSON *kk_sync_scence_to_sdk(cJSON *root,cJSON *data);
int kk_sync_devices_to_sdk(cJSON *root,cJSON *data);
int kk_sync_devices_status_to_sdk(cJSON *root);

int kk_create_syncinfo_to_sdk(cJSON *payload);














#endif

